Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.installer
Class OtdLibInstallerTask

    java.lang.Object
      Task
          com.stc.swift.installer.OtdLibInstallerTask

    public class OtdLibInstallerTask

extends Task

Since:
  1.0
Version:

Constructor Summary
`OtdLibInstallerTask()`

Method Summary
`Path` | `createClasspath()`
`void` | `execute()` installs external application specified in xml files under .\srcipts directory.
`void` | `setClasspath(Path p)`
`void` | `setClasspathRef(Reference r)`
`void` | `setPassword(java.lang.String aPasswd)` Setter for PassWord attribute of the ExtApplicationInstaller object
`void` | `setRepURL(java.lang.String url)`
`void` | `setUserName(java.lang.String aUserName)` Setter for UserName attribute of the ExtApplicationInstaller object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtdLibInstallerTask

    public OtdLibInstallerTask()

Method Detail

### setPassword

    public void setPassword(java.lang.String aPasswd)

  Setter for PassWord attribute of the ExtApplicationInstaller object

  Parameters:
    `aPasswd` - pass word

### setUserName

    public void setUserName(java.lang.String aUserName)

  Setter for UserName attribute of the ExtApplicationInstaller object

  Parameters:
    `aUserName` - user name

### setRepURL

    public void setRepURL(java.lang.String url)

### setClasspath

    public void setClasspath(Path p)

### createClasspath

    public Path createClasspath()

### setClasspathRef

    public void setClasspathRef(Reference r)

### execute

    public void execute()
                 throws BuildException

  installs external application specified in xml files under .\srcipts directory.

  Throws:
    `BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.